// Written by Dr. YIP Chi Lap [Beta]
//   for Workshop on "Scene Analysis Using Webcam",
//   Sea Level Measurement Device Design Competition,
//   Faculty of Engineering, The University of Hong Kong, 2014.
//   http://www.cs.hku.hk/~sealevel/

PImage img;


void setup() {
  // load the image
  img = loadImage("IMG_5744.jpg");

  // make window same size as that of image
  size(img.width, img.height);

  // allow us to access the image pixels
  loadPixels();
}


void draw() {
  // use image as background
  background(img);
}


void mouseMoved() {
  // This is run only when the mouse is moved,
  //   so nothing is printed unless there is mouse movement.
  color p = img.pixels[img.width*mouseY + mouseX];
  print(mouseX+" "+mouseY+" "+brightness(p));
  /*
    The if statement is followed by
      a Boolean (true-or-false) test expression in a pair of parentheses.
    Relational operators such as the following can be used:
      <   less than
      >   greater than
      <=  less than or equal to
      >=  greater than or equal to
      ==  equal to (note there are two equal signs)
      !=  not equal to
   */
  if (brightness(p) > 128) {
    println(" is bright!");
  } else {
    println();
  }
}
